<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
        <artifactId>management</artifactId>
        <version>1.8.2.2</version>
    </parent>

    <groupId>ru.entaxy.esb.platform.runtime.core.management</groupId>
    <artifactId>profile-management</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT :: PROFILE MANAGEMENT</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT :: PROFILE MANAGEMENT</description>

    <properties>
        <bundle.osgi.export.pkg>
        	ru.entaxy.esb.platform.core.management.profile,
        	ru.entaxy.esb.platform.core.management.profile.api
        </bundle.osgi.export.pkg>
        <bundle.osgi.private.pkg>
        	ru.entaxy.esb.platform.base.management.core.utils,
        	ru.entaxy.platform.base.support.osgi.tracker,
        	ru.entaxy.platform.base.support.osgi.tracker.filter,
        	ru.entaxy.esb.platform.core.management.profile.impl*
        </bundle.osgi.private.pkg>
    </properties>

    <dependencies>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>        
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        	<version>2.1.20</version>
        </dependency>
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base
	  		</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>management-core</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.system.auth.basic.api</groupId>
	  		<artifactId>basic-auth-api</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.system.registry.systems</groupId>
	  		<artifactId>system-api</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
  	</dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <_dsannotations>*</_dsannotations>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>